<template>
   <v-app >
      <v-main>
         <v-container fluid fill-height>
            <v-layout align-center justify-center>
               <v-flex xs12 sm8 md4>
                  <v-card class="elevation-12">
                     <v-toolbar dark color="primary">
                        <v-toolbar-title>Registration form</v-toolbar-title>
                     </v-toolbar>
                     <v-card-text>
                     <form ref="form" @submit.prevent="register()">
                            <v-text-field
                              v-model="username"
                              name="username"
                              label="Username"
                              type="text"
                              placeholder="username"
                              required
                           ></v-text-field>

                            <v-text-field
                              v-model="password"
                              name="password"
                              label="Password"
                              type="password"
                              placeholder="password"
                              required
                           ></v-text-field>

                           <v-text-field
                              v-model="confirmPassword"
                              name="confirmPassword"
                              label="Confirm Password"
                              type="password"
                              placeholder="cocnfirm password"
                              required
                           ></v-text-field>
                           <div class="red--text"> {{errorMessage}}</div>
                           <v-btn type="submit" class="mt-4" color="primary" value="log in">{{stateObj.register.name }}</v-btn>
                           <div class="grey--text mt-4" >
                              Aleady have an Acoount? Login
                           </div>
                      </form>
                     </v-card-text>
                  </v-card>

               </v-flex>
            </v-layout>
         </v-container>
      </v-main>
   </v-app>
</template>

<script>
export default {
  name: 'App',
  data() {
    return {
      username: '',
      password: '',
      confirmPassword: '',
      isRegister: false,
      errorMessage: '',
      stateObj: {
        register: {
          name: 'Register',
          message: 'Aleady have an Acoount? login.',
        },
        login: {
          name: 'Login',
          message: 'Register',
        },
      },
    };
  },
  methods: {
    login() {
      const { username } = this;
      console.log(`${username}logged in`);
    },
    register() {
      if (this.password === this.confirmPassword) {
        this.isRegister = false;
        this.errorMessage = '';
        this.$refs.form.reset();
      } else {
        this.errorMessage = 'password did not match';
      }
    },
  },
  computed: {
    toggleMessage() {
      return this.isRegister ? this.stateObj.register.message : this.stateObj.login.message;
    },
  },
};
</script>
